Index: issm/trunk-jpl/src/c/analyses/L2ProjectionEPLAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/L2ProjectionEPLAnalysis.cpp	(revision 17674)
+++ issm/trunk-jpl/src/c/analyses/L2ProjectionEPLAnalysis.cpp	(revision 17686)
@@ -6,5 +6,5 @@
 
 /*Model processing*/
-int  L2ProjectionEPLAnalysis::DofsPerNode(int** doflist,int meshxdim,int approximation){/*{{{*/
+int  L2ProjectionEPLAnalysis::DofsPerNode(int** doflist,int domaintype,int approximation){/*{{{*/
 	return 1;
 }/*}}}*/
@@ -36,5 +36,5 @@
 	iomodel->FetchDataToInput(elements,EplHeadEnum);
 	iomodel->FetchDataToInput(elements,MaskIceLevelsetEnum);
-	if(iomodel->meshxdim==Mesh3DEnum){
+	if(iomodel->domaintype==Mesh3DEnum){
 		iomodel->FetchDataToInput(elements,MeshElementonbaseEnum);
 	}
@@ -51,8 +51,8 @@
 	if(!isefficientlayer) return;
 
-	if(iomodel->meshxdim==Mesh3DEnum){
+	if(iomodel->domaintype==Mesh3DEnum){
 		iomodel->FetchData(1,MeshVertexonbaseEnum);
 	}
-	else if(iomodel->meshxdim==Mesh2DverticalEnum){
+	else if(iomodel->domaintype==Mesh2DverticalEnum){
 		iomodel->FetchData(1,MeshVertexonbaseEnum);
 	}
@@ -83,11 +83,11 @@
 
 	/*Intermediaries*/
-	int      meshxdim;
+	int      domaintype;
 	bool     active_element;
 	Element* basalelement;
 
 	/*Get basal element*/
-	element->FindParam(&meshxdim,MeshXDimEnum);
-	switch(meshxdim){
+	element->FindParam(&domaintype,DomainTypeEnum);
+	switch(domaintype){
 		case Mesh2DhorizontalEnum:
 			basalelement = element;
@@ -101,5 +101,5 @@
 			basalelement = element->SpawnBasalElement();
 			break;
-		default: _error_("mesh "<<EnumToStringx(meshxdim)<<" not supported yet");
+		default: _error_("mesh "<<EnumToStringx(domaintype)<<" not supported yet");
 	}
 
@@ -109,5 +109,5 @@
 	/* Check that all nodes are active, else return empty matrix */
 	if(!active_element){
-		if(meshxdim!=Mesh2DhorizontalEnum){
+		if(domaintype!=Mesh2DhorizontalEnum){
 			basalelement->DeleteMaterials();
 			delete basalelement;
@@ -149,5 +149,5 @@
 	xDelete<IssmDouble>(basis);
 	delete gauss;
-	if(meshxdim!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
+	if(domaintype!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
 	return Ke;
 }/*}}}*/
@@ -155,11 +155,11 @@
 
 	/*Intermediaries*/
-	int      meshxdim;
+	int      domaintype;
 	bool     active_element;
 	Element* basalelement;
 
 	/*Get basal element*/
-	element->FindParam(&meshxdim,MeshXDimEnum);
-	switch(meshxdim){
+	element->FindParam(&domaintype,DomainTypeEnum);
+	switch(domaintype){
 		case Mesh2DhorizontalEnum:
 			basalelement = element;
@@ -169,5 +169,5 @@
 			basalelement = element->SpawnBasalElement();
 			break;
-		default: _error_("mesh "<<EnumToStringx(meshxdim)<<" not supported yet");
+		default: _error_("mesh "<<EnumToStringx(domaintype)<<" not supported yet");
 	}
 
@@ -177,5 +177,5 @@
 	/*Check that all nodes are active, else return empty matrix*/
 	if(!active_element) {
-		if(meshxdim!=Mesh2DhorizontalEnum){
+		if(domaintype!=Mesh2DhorizontalEnum){
 			basalelement->DeleteMaterials();
 			delete basalelement;
@@ -222,5 +222,5 @@
 	xDelete<IssmDouble>(basis);
 	delete gauss;
-	if(meshxdim!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
+	if(domaintype!=Mesh2DhorizontalEnum){basalelement->DeleteMaterials(); delete basalelement;};
 	return pe;
 }/*}}}*/
@@ -229,9 +229,9 @@
 }/*}}}*/
 void L2ProjectionEPLAnalysis::InputUpdateFromSolution(IssmDouble* solution,Element* element){/*{{{*/
-	int inputenum,meshxdim;
+	int inputenum,domaintype;
 
 	element->FindParam(&inputenum,InputToL2ProjectEnum);
-	element->FindParam(&meshxdim,MeshXDimEnum);
-	switch(meshxdim){
+	element->FindParam(&domaintype,DomainTypeEnum);
+	switch(domaintype){
 		case Mesh2DhorizontalEnum:
 			element->InputUpdateFromSolutionOneDof(solution,inputenum);
@@ -243,5 +243,5 @@
 			element->InputUpdateFromSolutionOneDofCollapsed(solution,inputenum);
 			break;
-		default: _error_("mesh "<<EnumToStringx(meshxdim)<<" not supported yet");
+		default: _error_("mesh "<<EnumToStringx(domaintype)<<" not supported yet");
 	}
 }/*}}}*/
